List team versions
Returns a team’s version history (newest first) with changelogs and publish times, or with latest_only just the latest version.
Requires a token whose user can see the team given by team_id or name: a public listed team, or a team of an organization you belong to.
POST
/
v1
/
teams
/
get_versions
List team versions
curl --request POST \
--url https://{host}/v1/teams/get_versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scope": "acme",
"name": "code-review"
}
'import requests
url = "https://{host}/v1/teams/get_versions"
payload = {
"scope": "acme",
"name": "code-review"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scope: 'acme', name: 'code-review'})
};
fetch('https://{host}/v1/teams/get_versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/teams/get_versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scope' => 'acme',
'name' => 'code-review'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/teams/get_versions"
payload := strings.NewReader("{\n \"scope\": \"acme\",\n \"name\": \"code-review\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/teams/get_versions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"scope\": \"acme\",\n \"name\": \"code-review\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/teams/get_versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scope\": \"acme\",\n \"name\": \"code-review\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"name": "code-review",
"scope": "acme",
"latest": "1.5.0",
"versions": [
{
"version": "1.5.0",
"changelog": "Adds a fix phase",
"published_at": 1759833600000,
"is_latest": true
},
{
"version": "1.4.0",
"changelog": "First release",
"published_at": 1759830000000,
"is_latest": false
}
]
}
}
Authorizations
User PAT (cliq_tok_…, including session-scoped) or realm token (cliq_dt_…).
Body
application/json
⌘I
List team versions
curl --request POST \
--url https://{host}/v1/teams/get_versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scope": "acme",
"name": "code-review"
}
'import requests
url = "https://{host}/v1/teams/get_versions"
payload = {
"scope": "acme",
"name": "code-review"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scope: 'acme', name: 'code-review'})
};
fetch('https://{host}/v1/teams/get_versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/teams/get_versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scope' => 'acme',
'name' => 'code-review'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/teams/get_versions"
payload := strings.NewReader("{\n \"scope\": \"acme\",\n \"name\": \"code-review\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/teams/get_versions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"scope\": \"acme\",\n \"name\": \"code-review\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/teams/get_versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scope\": \"acme\",\n \"name\": \"code-review\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"name": "code-review",
"scope": "acme",
"latest": "1.5.0",
"versions": [
{
"version": "1.5.0",
"changelog": "Adds a fix phase",
"published_at": 1759833600000,
"is_latest": true
},
{
"version": "1.4.0",
"changelog": "First release",
"published_at": 1759830000000,
"is_latest": false
}
]
}
}